Summary:	File system driver that allows you to mount a WebDAV server
Name:		davfs2
Version:	0.2.3
Release:	1mdk
License:	GPL
Group:		System/Kernel and hardware		

Source:		http://prdownloads.sourceforge.net/dav/%{name}-%{version}.tar.bz2
Url:		http://sourceforge.net/projects/dav
Patch1:		%{name}-makeinstall.patch.bz2
BuildRoot:	%_tmppath/%name-%version-root
BuildRequires:	neon-devel

%description

Davfs is a Linux file system driver that allows you to mount a WebDAV 
server as a disk drive. WebDAV is an extension to HTTP/1.1 that allows 
remote collaborative authoring of Web resources, defined in RFC 2518.

%prep
%setup -q
%patch1 -p1 -b .makeinstall
./autogen.sh

%build
%configure --with-ssl
%make

%install
%makeinstall_std
mv %buildroot/%{_sbindir}/mount.davfs %buildroot/%{_sbindir}/mount.%{name}
mkdir -p $RPM_BUILD_ROOT/sbin
ln -sf ..%{_sbindir}/mount.%{name} ${RPM_BUILD_ROOT}/sbin/mount.%{name}

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc README COPYING NEWS FAQ ChangeLog
%{_sbindir}/mount.%{name}
/sbin/mount.%{name}

%changelog
* Wed Nov  3 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.2.3-1mdk
- 0.2.3, patch0 merged upstream

* Tue Oct 26 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.2.2-2mdk
- link mount.davfs2 in /sbin so mount finds it

* Wed Oct 20 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.2.2-1mdk
- First mandrakelinux release
- rename binary to mount.davfs2 to coexist with davfs

